Contacts

Update a contact

Update a contact.

PATCH
/contacts/{contact_id}

Update a contact.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

contact_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

All fields optional. Only the provided keys are updated. An avatar image can also be set by sending multipart/form-data with an avatar file part alongside these fields.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/contacts/string" \  -H "Content-Type: application/json" \  -d '{    "name": "Jane Cooper",    "company": "Acme Inc",    "job_title": "CTO",    "website": "https://example.com"  }'
{  "message": "string"}